Subject: RE: [midcom] Straw poll - results so far

From: "Cedric Aoun" <[email-masked]>
Date: Wed, 20 Jun 2001 17:48:44 +0100

Sorry for the delay I was still catching the threads ...

Melinda,
I agree with your wise decision.

Although I find usage of OOPs making things more complex there might be
cases
where it could be useful in a small contained enterprise environment, I
think that Bob Penfield mentioned that.

From a MIDCOM protocol perspective there is no difference between an in path
agent and the OOP. 
The major requirements are on the Middle Box for the policy interface
(additional "policy attributes" to bind the OOP 
with the Middle Box and the application), the diversion capability and the
tunneling protocol.

To summarize there is no harm to keep it in the framework, implementors will
decide where they want to have
the agent (on an existing application device or new external device) and if
they want to put on the Middle Box 
the required features (mentioned above) to support OOPs
...Cedric 

-----Original Message-----
From: Melinda Shore [mailto:[email-masked]]
Sent: Wednesday, June 20, 2001 6:12 PM
To: midcom
Subject: [midcom] Straw poll - results so far

Here are the results so far:

Don't include out-of-path agents: 7
Do include out-of-path agents: 6

I think it's pretty safe to say that there's no consensus
on this issue and that unless there's a sudden avalanche
of people with strong feelings in one particular direction
there will continue to be no consensus.  

What I'd like to propose is this: we leave it in the 
document for the time being, but, if during IESG/IAB
review we encounter strong pushback, support for
packet diversion be dropped without further debate.
I'd really like to avoid having work that's questionably
in scope impeding the progress of work that's definitely 
in scope.

Melinda

_______________________________________________
midcom mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/midcom